package com.pj.api.client.admin;

import feign.hystrix.FallbackFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * 系统配置 服务降级处理
 * @author kong
 *
 */
@Component
public class AdminInterfaceFallback implements FallbackFactory<AdminInterface>
{

	private static final Logger log = LoggerFactory.getLogger(AdminInterfaceFallback.class);
	
	/**
	 * 服务降级时触发的方法 
	 */
	@Override
	public AdminInterface create(Throwable cause) {
		
		
		log.error("--------------------系统配置服务异常，触发降级: {}", cause.getMessage());
		
		// 返回熔断后的对象 
		return new AdminInterface() {

			
		};
	}

}
