package com.pj.tb_people;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_people -- 边民
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbPeople.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbPeople extends Model<TbPeople> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_people";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-people";
	public static final String PERMISSION_CODE_ADD = "tb-people-add";
	public static final String PERMISSION_CODE_EDIT = "tb-people-edit";
	public static final String PERMISSION_CODE_DEL = "tb-people-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 * 姓名 
	 */
	private String name;	

	/**
	 * 边民号 
	 */
	private String code;	

	/**
	 * 性别(1=男,2=女) 
	 */
	private Integer sex;

	/**
	 * 年龄 
	 */
	private Integer age;	

	/**
	 * 身份证 
	 */
	private String idCard;	

	/**
	 * 身份证复印件 
	 */
	private String idCardImg;	

	/**
	 * 手机号码 
	 */
	private String phone;	

	/**
	 * 银行编号 
	 */
	private String bankNo;	

	/**
	 * 银行卡号 
	 */
	private String bankCode;	

	/**
	 * 银行名称 
	 */
	private String bankName;	

	/**
	 * 所属互助组(1=测试组) 
	 */
	private Long groupId;	

	/**
	 * 互助组名称 
	 */
	private String groupName;	

	/**
	 * 是否可用(0=否,1=是) 
	 */
	private Integer status;

	/**
	 * 角色(1=普通边民,2=兼组长) 
	 */
	private Integer role;

	/**
	 * 经度 
	 */
	private Double lng;	

	/**
	 * 纬度 
	 */
	private Double lat;	

	/**
	 * 最后一次下单定位 
	 */
	private String lastLocation;	

	/**
	 * 联系地址 
	 */
	private String address;	

	/**
	 * 地址ID 
	 */
	private String addressIds;	

	/**
	 * 详细地址 
	 */
	private String detailAddress;	

	/**
	 * 是否锁定 
	 */
	private Integer isLock;

	/**
	 * 当天剩余额度 
	 */
	private Double leftPrice;	

	/**
	 *  
	 */
	private Integer judgeStatus;

	/**
	 *  
	 */
	private String judgeContent;	

	/**
	 *  注册时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date registerTime;

	/**
	 *  
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date judgeTime;

	/**
	 *  
	 */
	private String personId;	

	/**
	 * 创建时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	/**
	 * 创建人编号 
	 */
	private String createBy;	

	/**
	 * 创建人名称 
	 */
	private String createName;	

	/**
	 * 更新时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	/**
	 * 更新人编号 
	 */
	private String updateBy;	

	/**
	 * 更新人名称 
	 */
	private String updateName;	

	/**
	 * 删除状态(0=禁用,1=启用) 
	 */
	private Integer deleteStatus;	





	


}
