package com.pj.tb_purchaser;

import java.io.Serializable;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_purchaser -- 收购商
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbPurchaser.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbPurchaser extends Model<TbPurchaser> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_purchaser";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-purchaser";
	public static final String PERMISSION_CODE_ADD = "tb-purchaser-add";
	public static final String PERMISSION_CODE_EDIT = "tb-purchaser-edit";
	public static final String PERMISSION_CODE_DEL = "tb-purchaser-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 法人 
	 */
	private String legalPerson;	

	/**
	 * 身份证号 
	 */
	private String idCard;	

	/**
	 * 手机号码 
	 */
	private String contact;	

	/**
	 * 营业执照 
	 */
	private String businessLicense;	

	/**
	 * 银行编号 
	 */
	private String bankNo;	

	/**
	 * 银行名称 
	 */
	private String bankName;	

	/**
	 * 银行账号 
	 */
	private String bankAccount;	

	/**
	 * 税号 
	 */
	private String dutyParagraph;	

	/**
	 * 地址编号 
	 */
	private String addressIds;	

	/**
	 * 地址 
	 */
	private String address;	

	/**
	 * 审核状态(0=未通过,1=已通过) 
	 */
	private Integer judgeStatus;

	/**
	 * 审核意见 
	 */
	private String judgeContent;	

	/**
	 * 上次审核时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date judgeTime;	

	/**
	 * 注册时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date registerTime;	

	/**
	 * 人脸编号 
	 */
	private String personId;	

	/**
	 * 创建时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	/**
	 * 创建人编号 
	 */
	private String createBy;	

	/**
	 * 创建人名称 
	 */
	private String createName;	

	/**
	 * 更新时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	/**
	 * 更新人编号 
	 */
	private String updateBy;	

	/**
	 * 更新人名称 
	 */
	private String updateName;	

	/**
	 * 删除状态(0=禁用,1=启用) 
	 */
	private Integer deleteStatus;	





	


}
