package com.pj.project.tb_driver;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: tb_driver -- 司机
 * @author qzy 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbDriverService extends ServiceImpl<TbDriverMapper, TbDriver> implements IService<TbDriver>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbDriverMapper tbDriverMapper;

	/** 增 */
	void add(TbDriver t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbDriver t){
		updateById(t);

	}

	/** 查 */
	TbDriver getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbDriver> getList(SoMap so) { 
		return tbDriverMapper.getList(so);	
	}
	

}
