package com.pj.project.tb_vehicle;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: tb_vehicle -- 车辆
 * @author loovi 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbVehicleService extends ServiceImpl<TbVehicleMapper, TbVehicle> implements IService<TbVehicle>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbVehicleMapper tbVehicleMapper;

	/** 增 */
	void add(TbVehicle t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbVehicle t){
		updateById(t);

	}

	/** 查 */
	TbVehicle getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbVehicle> getList(SoMap so) { 
		return tbVehicleMapper.getList(so);	
	}
	

}
