package com.pj.project.tb_vehicle;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.pj.utils.sg.*;
import java.util.*;

/**
 * 工具类：tb_vehicle -- 车辆
 * @author loovi 
 *
 */
@Component
public class TbVehicleUtil {

	
	/** 底层 Mapper 对象 */
	public static TbVehicleMapper tbVehicleMapper;
	@Autowired
	private void setTbVehicleMapper(TbVehicleMapper tbVehicleMapper) {
		TbVehicleUtil.tbVehicleMapper = tbVehicleMapper;
	}
	
	
	/** 
	 * 将一个 TbVehicle 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G] 
	 */
	static void check(TbVehicle t) {
		AjaxError.throwByIsNull(t.getId(), "[主键] 不能为空");		// 验证: 主键 
		AjaxError.throwByIsNull(t.getVehiclePlate(), "[车牌] 不能为空");		// 验证: 车牌 
		AjaxError.throwByIsNull(t.getOwner(), "[所有人] 不能为空");		// 验证: 所有人 
		AjaxError.throwByIsNull(t.getVehicleType(), "[车辆类型] 不能为空");		// 验证: 车辆类型 
		AjaxError.throwByIsNull(t.getParentId(), "[类型父id] 不能为空");		// 验证: 类型父id 
		AjaxError.throwByIsNull(t.getVehicleSize(), "[车辆尺寸] 不能为空");		// 验证: 车辆尺寸 
		AjaxError.throwByIsNull(t.getVehicleModel(), "[车辆品牌型号] 不能为空");		// 验证: 车辆品牌型号 
		AjaxError.throwByIsNull(t.getVehicleLoad(), "[核定载质量] 不能为空");		// 验证: 核定载质量 
		AjaxError.throwByIsNull(t.getVehicleWeight(), "[车辆自重] 不能为空");		// 验证: 车辆自重 
		AjaxError.throwByIsNull(t.getCreateBy(), "[创建者id] 不能为空");		// 验证: 创建者id 
		AjaxError.throwByIsNull(t.getCreateName(), "[创建者姓名] 不能为空");		// 验证: 创建者姓名 
		AjaxError.throwByIsNull(t.getCreateTime(), "[创建时间] 不能为空");		// 验证: 创建时间 
		AjaxError.throwByIsNull(t.getUpdateBy(), "[更新者id] 不能为空");		// 验证: 更新者id 
		AjaxError.throwByIsNull(t.getUpdateName(), "[更新者名称] 不能为空");		// 验证: 更新者名称 
		AjaxError.throwByIsNull(t.getUpdateTime(), "[更新时间] 不能为空");		// 验证: 更新时间 
		AjaxError.throwByIsNull(t.getAuditStatus(), "[审核状态] 不能为空");		// 验证: 审核状态(0=待审核，1=已通过，2=不通过) 
		AjaxError.throwByIsNull(t.getAuditBy(), "[审核人] 不能为空");		// 验证: 审核人 
		AjaxError.throwByIsNull(t.getNopassReason(), "[审核不通过原因] 不能为空");		// 验证: 审核不通过原因 
		AjaxError.throwByIsNull(t.getAuditTime(), "[审核时间] 不能为空");		// 验证: 审核时间 
	}

	/** 
	 * 获取一个TbVehicle (方便复制代码用) [G] 
	 */ 
	static TbVehicle getTbVehicle() {
		TbVehicle t = new TbVehicle();	// 声明对象 
		t.setId(0L);		// 主键 
		t.setVehiclePlate("");		// 车牌 
		t.setOwner("");		// 所有人 
		t.setVehicleType(0);		// 车辆类型 
		t.setParentId(0);		// 类型父id 
		t.setVehicleSize("");		// 车辆尺寸 
		t.setVehicleModel("");		// 车辆品牌型号 
		t.setVehicleLoad("");		// 核定载质量 
		t.setVehicleWeight("");		// 车辆自重 
		t.setCreateBy("");		// 创建者id 
		t.setCreateName("");		// 创建者姓名 
		t.setCreateTime(new Date());		// 创建时间 
		t.setUpdateBy("");		// 更新者id 
		t.setUpdateName("");		// 更新者名称 
		t.setUpdateTime(new Date());		// 更新时间 
		t.setAuditStatus(0);		// 审核状态(0=待审核，1=已通过，2=不通过) 
		t.setAuditBy("");		// 审核人 
		t.setNopassReason("");		// 审核不通过原因 
		t.setAuditTime("");		// 审核时间 
		return t;
	}
	
	
	
	
	
}
